import WorkspaceElement from './WorkspaceElement';
import { FontWeightType } from './FontWeightType';
import TextPeer from './peer/svg/TextPeer';
import StyleAttributes from './StyleAttributes';
import PositionType from './PositionType';
import { FontStyle } from './peer/svg/FontPeer';
declare class Text extends WorkspaceElement<TextPeer> {
    constructor(attributes?: StyleAttributes);
    getType(): string;
    setText(text: string): void;
    setTextAlignment(align: string): void;
    getText(): string;
    setFont(font: string, size: number, style: string, weight: string): void;
    setFontName(fontName: string): void;
    setColor(color: string): void;
    getColor(): string | null;
    setStyle(style: string): void;
    setWeight(weight: FontWeightType): void;
    setFontSize(size: number): void;
    getFontStyle(): FontStyle;
    getHtmlFontSize(): string;
    getShapeWidth(): number;
    getShapeHeight(): number;
    getFontHeight(): number;
    getPosition(): PositionType;
    setPosition(x: number, y: number): void;
    getNativePosition(): {
        left: number;
        top: number;
    };
}
export default Text;
